<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">equalizer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#aacaa1f71cc13fe781f0a1c1ce74daa4c">create</a>(int minBandLevel, int maxBandLevel, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerBand &gt; &amp;bandsSupported, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerMode &gt; &amp;modesSupported, avsCommon::sdkInterfaces::audio::EqualizerState defaultState)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a261ecb7fcc5529cdcf6ab80dc15dbd6f">createDefault</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2d75564680a8059840aa6176d1e2ed4e">createDisabled</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#adce21b695c70cd7241d7dad6367e7c77">getDefaultState</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a26039ca45ee99d03febdd1bfaf4ab0f2">getMaxBandLevel</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a1c6844a25a7118785a2a01605d4d960f">getMinBandLevel</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a0264bc159e277c42cbf36f0080878c8d">getSupportedBands</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a424701750b77707dcb1f95911cf04e1d">getSupportedModes</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a51fa42831e4b1d08d5321b0a38c60467">InMemoryEqualizerConfiguration</a>(int minBandLevel, int maxBandLevel, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerBand &gt; &amp;bandsSupported, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerMode &gt; &amp;modesSupported, avsCommon::sdkInterfaces::audio::EqualizerState defaultState)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a75180cfd38ea7340d53a3edecab75616">InMemoryEqualizerConfiguration</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2281a169ecf9f41f2d0a32d87f059753">isBandSupported</a>(avsCommon::sdkInterfaces::audio::EqualizerBand band) const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a63ab6793307ce3b30e0d1d0757ffbc5f">isEnabled</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a57f4abe411139ebcd58882089a22b5c6">isModeSupported</a>(avsCommon::sdkInterfaces::audio::EqualizerMode mode) const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a28f660b0e5e06bad287ad16eaad076b3">validateBandLevelMap</a>(const avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap &amp;bandLevelMap, bool validateValues)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a41582e94f6e33233366428e648a2ab55">validateConfiguration</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#af7b9823e7b2b942ff09ae402a44fa690">~EqualizerConfigurationInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a5a326b4ceed7e7c7bc7525341f9a2405">~InMemoryEqualizerConfiguration</a>() override=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
